<?php



include(TEMPLATEPATH .'/admin/setting.php');

function pbt_paginate($args = null) {
$defaults = array(
'page' => null, 'pages' => null, 
'range' => 3, 'gap' => 3, 'anchor' => 1,
'before' => '<div class="pbt-paginate">', 'after' => '</div>',
'title' => __(''),
'nextpage' => __('&raquo;'), 'previouspage' => __('&laquo'),
'echo' => 1
);

$r = wp_parse_args($args, $defaults);
extract($r, EXTR_SKIP);

if (!$page && !$pages) {
global $wp_query;

$page = get_query_var('paged');
$page = !empty($page) ? intval($page) : 1;

$posts_per_page = intval(get_query_var('posts_per_page'));
$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
}
    
$output = "";
if ($pages > 1) {   
$output .= "$before";
$ellipsis = "<span class='pbt pbt-gap'>...</span>";

if ($page > 1 && !empty($previouspage)) {
$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='pbt pbt-prev'>$previouspage</a>";
}
        
$min_links = $range * 2 + 2;
$block_min = min($page - $range, $pages - $min_links);
$block_high = max($page + $range, $min_links);
$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

if ($left_gap && !$right_gap) {
$output .= sprintf('%s%s%s', 
pbt_paginate_loop(1, $anchor), 
$ellipsis, 
pbt_paginate_loop($block_min, $pages, $page)
);
}
        
else if ($left_gap && $right_gap) {
$output .= sprintf('%s%s%s%s%s', 
pbt_paginate_loop(1, $anchor), 
$ellipsis, 
pbt_paginate_loop($block_min, $block_high, $page), 
$ellipsis, 
pbt_paginate_loop(($pages - $anchor + 1), $pages)
);
}
        
else if ($right_gap && !$left_gap) {
$output .= sprintf('%s%s%s', 
pbt_paginate_loop(1, $block_high, $page),
$ellipsis,
pbt_paginate_loop(($pages - $anchor + 1), $pages)
);
}
    
else {
$output .= pbt_paginate_loop(1, $pages, $page);
}

if ($page < $pages && !empty($nextpage)) {
$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='pbt pbt-next'>$nextpage</a>";
}

$output .= $after;
}

if ($echo) {
echo $output;
}

return $output;
}

function pbt_paginate_loop($start, $max, $page = 0) {
$output = "";
for ($i = $start; $i <= $max; $i++) {
$output .= ($page === intval($i)) 
? "<span class='pbt pbt-page pbt-current'>$i</span>" 
: "<a href='" . get_pagenum_link($i) . "'class='pbt pbt-page'>$i</a>";
}
return $output;
}



function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "بدون بازدید";
    }
    return $count.'';
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}


 	function register_my_menus() {
register_nav_menus(
array(

'menuheder' => __( 'منو در هدر' ),
'menufoter1' => __( 'منو یک در فوتر' ),
'menufoter2' => __( 'منو دو در فوتر' ),
)
);
}

add_action( 'init', 'register_my_menus' );

add_filter('show_admin_bar', '__return_false');
 
echo add_theme_support( 'post-thumbnails' );



if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'sidbar',
'description'   => 'ساید بار',
'before_widget' => '<div class="sid z1 fadeInUp animated wow">',
'after_widget'  => '</div>',
'before_title'  => '<div class="posthed"><div class="right postonvan">',
'after_title'   => '</div></div>',
));



?>