<?php 


function my_custom_post_product() {
$labels = array(
'name'               => _x( 'مطالب', 'post type general name' ),
'singular_name'      => _x( 'محصول', 'post type singular name' ),
'add_new'            => _x( 'افزودن جدید', 'book' ),
'add_new_item'       => __( 'افزودن محصول جدید' ),
'edit_item'          => __( 'ویرایش محصول' ),
'new_item'           => __( 'محصول جدید' ),
'all_items'          => __( 'همه مطالب' ),
'view_item'          => __( 'نمایش محصول' ),
'search_items'       => __( 'جست و جو محصول' ),
'not_found'          => __( 'محصولی یافت نشد' ),
'not_found_in_trash' => __( 'محصولی در زباله دان یافت نشد' ),
'parent_item_colon'  => '',
'menu_name'          => 'مطالب'
);
$args = array(
'labels'        => $labels,
'description'   => 'ذخیره اطلاعات مربوط به مطالب',
'public'        => true,
'menu_position' => 5,
'supports'      => array( 'title', 'editor', 'thumbnail', 'excerpt', 'comments' ),
'has_archive'   => true,
);
register_post_type( 'product', $args );
}
add_action( 'init', 'my_custom_post_product' );

function register_my_menus() {
register_nav_menus(
array(
'top-menu' => __( 'منو' )
)
);
}
add_action( 'init', 'register_my_menus' );
require_once(TEMPLATEPATH . '/admin/admin-functions.php');
require_once(TEMPLATEPATH . '/admin/admin-interface.php');
require_once(TEMPLATEPATH . '/admin/theme-settings.php');


if (function_exists('add_theme_support')) {
add_theme_support( 'post-thumbnails' );
}
function get_image_url(){
$image_id = get_post_thumbnail_id();
$image_url = wp_get_attachment_image_src($image_id,'full');
$image_url = $image_url[0];
echo $image_url;
}
function catch_that_image() {
 global $post, $posts;
 $first_img = '';
 ob_start();
 ob_end_clean();
 $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
 $first_img = $matches [1] [0];
if(empty($first_img)){ //Defines a default image
 $first_img = "/images/no-thumbnail3.png";
 }
 return $first_img;
}
remove_filter('get_the_excerpt', 'wp_trim_excerpt');
add_filter('get_the_excerpt', 'improved_trim_excerpt');
function improved_trim_excerpt($text) {
 global $post;
 if ( '' == $text ) {
 $text = get_the_content('');
 $text = apply_filters('the_content', $text);
 $text = str_replace(']]>', ']]&gt;', $text);
 $text = preg_replace('@<script[^>]*?>.*?</script>@si', '', $text);
 $text = strip_tags($text, '');
 $excerpt_length = 75;
 $words = explode(' ', $text, $excerpt_length + 1);
 if (count($words)> $excerpt_length) {
 array_pop($words);
 array_push($words, '[...]');
 $text = implode(' ', $words);
 }
 }
 return $text;
}

if ( function_exists('register_sidebar') )
register_sidebar(array(
'name'          => 'ابزارک 1',
'description'   => 'ابزارک در ساید بار',
'before_widget' => '<div class="box1 mn">',
'after_widget'  => '</div>',
'before_title'  => '<div class="sidhed">',
'after_title'   => '</div>',
));

?>
<?php
function add_custom_meta_box() {  
    add_meta_box(  
        'custom_meta_box',   
        '!اطلاعات مطلب را وارد کنید',   
        'show_custom_meta_box',   
        'product',   
        'normal',   
        'high');   
}  
add_action('add_meta_boxes', 'add_custom_meta_box');  
// Field Array  
    $prefix = '';  
    $custom_meta_fields = array(   
		array(  
            'label'=> '<b style="color:#A31C2B">لینک</b>',  
            'desc'  => '',  
            'id'    => $prefix.'link',  
            'type'  => 'text'  
        ),

        array('label'=> 'توجه در صورت خالی بودن این فید لینک ادامه مطلب جایگزین خواهد شد',),
       

    );
    function show_custom_meta_box() {  
    global $custom_meta_fields, $post;   
    echo '<input type="hidden" name="custom_meta_box_nonce" value="'.wp_create_nonce(basename(__FILE__)).'" />';  
        echo '<div style="width:100%;display: inline-block;">';  
        foreach ($custom_meta_fields as $field) {   
            $meta = get_post_meta($post->ID, $field['id'], true);  
            echo '<div style="width:33%;display: inline-block;padding:5px 0px"> 
                    <label for="'.$field['id'].'" style="width: 90%; display: inline-block;padding:5px 0px">'.$field['label'].'</label> 
                    ';  
                    switch($field['type']) {  
    case 'text':  
        echo '<input type="text" name="'.$field['id'].'" id="'.$field['id'].'" value="'.$meta.'" style="width: 90%; display: inline-block;"> 
            <span class="description">'.$field['desc'].'</span>';  
    break;
	// checkbox
case 'checkbox':
	echo '<input type="checkbox" name="'.$field['id'].'" id="'.$field['id'].'" ',$meta ? ' checked="checked"' : '','/>
		<label for="'.$field['id'].'">'.$field['desc'].'</label>';
break;	

		// textarea
case 'textarea':
    echo '<textarea name="'.$field['id'].'" id="'.$field['id'].'" style="width:90%">'.$meta.'</textarea>
        <br /><span class="description">'.$field['desc'].'</span>';
break;

// select
case 'select':
    echo '<select name="'.$field['id'].'" id="'.$field['id'].'">';
    foreach ($field['options'] as $option) {
        echo '<option', $meta == $option['value'] ? ' selected="selected"' : '', ' value="'.$option['value'].'">'.$option['label'].'</option>';
    }
    echo '</select><br /><span class="description">'.$field['desc'].'</span>';
break;
                    } 
            echo '</div>';  
        }  
        echo '</div>'; 
    }  
function save_custom_meta($post_id) {  
    global $custom_meta_fields;   
    if (!wp_verify_nonce($_POST['custom_meta_box_nonce'], basename(__FILE__)))  
        return $post_id;    
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)  
        return $post_id;  
    if ('page' == $_POST['post_type']) {  
        if (!current_user_can('edit_page', $post_id))  
            return $post_id;  
        } elseif (!current_user_can('edit_post', $post_id)) {  
            return $post_id;  
    }  
    foreach ($custom_meta_fields as $field) {  
        $old = get_post_meta($post_id, $field['id'], true);  
        $new = $_POST[$field['id']];  
        if ($new && $new != $old) {  
            update_post_meta($post_id, $field['id'], $new);  
        } elseif ('' == $new && $old) {  
            delete_post_meta($post_id, $field['id'], $old);  
        }  
    }  
}  
add_action('save_post', 'save_custom_meta');    	





?>